import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { EventsService } from '../services/events.service';
import { LayOutModel } from '../styles/style.model';
import * as i0 from "@angular/core";
export declare class SimpoContainerAligment implements OnInit, OnChanges {
    private el;
    private eventService;
    layout?: LayOutModel;
    eventEmmitter: any;
    constructor(el: ElementRef, eventService: EventsService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(change: SimpleChanges): void;
    setProperty(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SimpoContainerAligment, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SimpoContainerAligment, "[simpoContainerAlignment]", never, { "layout": { "alias": "simpoContainerAlignment"; "required": false; }; }, {}, never, never, true, never>;
}
